cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Trunk requires latest Eclipse PMD plugin....
Date Fri, 19 Jul 2013 15:47:25 GMT

Forgot to mention this yesterday (and thanks to Sergey for pointing out that I screwed up
and forgot to commit/deploy some stuff in build utils):

I updated trunk to use the latest PMD maven plugin and all the new rulesets and such.   This
also then requires the Eclipse users to update to the latest PMD plugin in Eclipse.   I checked
both Juno and Kepler and they both will update to the latest PMD plugin that works with these
changes.    

HOWEVER, the new PMD plugin in eclipse seems to have a bug in that the "Treat PMD errors as
Eclipse errors" doesn't work.   Instead, you'll get a new icon on the files/projects that
identify PMD problems.   


-- 
Daniel Kulp
dkulp@apache.org - http://dankulp.com/blog
Talend Community Coder - http://coders.talend.com


Mime
View raw message